package de.arindy.mythodea.api

import io.quarkus.test.junit.QuarkusTest
import io.restassured.RestAssured.given
import org.hamcrest.Matchers.`is`
import org.junit.jupiter.api.Test
import java.time.Instant

@QuarkusTest
class MythodeaDateResourceTest {

    @Test
    fun testFromEndpoint() {
        given().`when`()
            .queryParams(
                "epochMillis", Instant.parse("2024-10-23T00:00:00+01:00").toEpochMilli()
            ).get("/date/from/")
            .then()
            .statusCode(200)
            .body("dayString", `is`("3. Mahntag"))
            .body("monthString", `is`("Holzmond"))
            .body("year", `is`(22))
            .body("yearNDE", `is`(23))
            .body("yearNDK", `is`(3))
    }

}
